//
//  YHActivityTipsItemView.swift
//  galaxy
//
//  Created by davidhuangA on 2024/6/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHActivityTipsItemView: UIView {

    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        setupUI()
    }
    
    var tipsText : String? {
        didSet {
            updateUI2()
        }
    }
    
    var showLineFlag : Bool = true
    
    var dataModel : YHActivityDetailModel? {
        didSet {
            updateUI()
        }
    }
    
    private lazy var bottomLine : UIView = {
        let view = UIView()
        view.backgroundColor = UIColor.separatorColor
        return view
    }()
    
    lazy var nameLabel:UILabel = {
        let nameLabel = UILabel()
        nameLabel.textColor = UIColor.mainTextColor
        nameLabel.textAlignment = .left
        nameLabel.font = UIFont.PFSC_M(ofSize:17)
        nameLabel.text = "温馨提示"
        nameLabel.numberOfLines = 0
        return nameLabel
    }()
    
    lazy var describeLable:UILabel = {
        let nameLabel = UILabel()
        nameLabel.textColor = UIColor.mainTextColor70
        nameLabel.textAlignment = .left
        nameLabel.lineBreakMode = .byCharWrapping
        nameLabel.font = UIFont.PFSC_R(ofSize:14)
        nameLabel.text = "1、请大家仔细甄别活动的真实性、有效性、安全性。所有运动、户外等具有相关风险的活动请确认购买保险；\r\n2、此活动开始前24小时可以取消报名；\r\n3、若取消活动，系统将通知你活动取消。"
        nameLabel.numberOfLines = 0
        return nameLabel
    }()
    
    
    override func layoutSubviews() {
        super.layoutSubviews()
        
        bottomLine.snp.makeConstraints { make in
            make.top.left.right.equalToSuperview()
            make.height.equalTo(1)
        }
        
        if showLineFlag {
            bottomLine.isHidden = false
            nameLabel.snp.makeConstraints { make in
                make.left.right.equalToSuperview()
                make.top.equalTo(bottomLine.snp.bottom).offset(24)
            }
        } else {
            bottomLine.isHidden = true
            nameLabel.snp.makeConstraints { make in
                make.top.left.right.equalToSuperview()
            }
        }
        
        describeLable.snp.makeConstraints { make in
            make.left.right.equalToSuperview()
            make.top.equalTo(nameLabel.snp.bottom).offset(24)
            
            make.bottom.equalToSuperview()
        }
    }
}


extension YHActivityTipsItemView {
    func updateUI2() {
        guard let txt = tipsText else  {
            return
        }
        describeLable.text = txt
        layoutIfNeeded()
    }
    
    func updateUI() {
        guard let model = dataModel else  {
            return
        }
        describeLable.text = model.tips
        layoutIfNeeded()
    }
    
    func setupUI() {
        addSubview(bottomLine)
        addSubview(nameLabel)
        addSubview(describeLable)
        layoutIfNeeded()
    }
}
