//
//  YHOrderTipsItemView.swift
//  galaxy
//
//  Created by davidhuangA on 2024/6/19.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import AttributedString

class YHOrderTipsItemView: UIView {

    static let viewH = 52.0
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        setupUI()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    //文书定稿
    lazy var lableMyOrder: UILabel = {
        let lable : UILabel = UILabel()
        lable.text = "文书定稿"
        lable.font = UIFont.PFSC_R(ofSize: 13)
        lable.textColor = UIColor.yhGreyColor
        return lable
    }()
    
    
    //分割线
    lazy var segmentationView: UIView = {
        let view : UIView = UIView()
        view.backgroundColor = UIColor.mainTextColor18
        return view
    }()
    
    
    
    //右箭头
    lazy var rightIconImageV: UIImageView = {
        let imgV : UIImageView = UIImageView()
        imgV.contentMode = .scaleAspectFill
        imgV.image = UIImage(named: "home_order_tips_right_arrow")
        return imgV
    }()
    
    
    //您有2份证件需要签...
    lazy var lableName: UILabel = {
        let lable : UILabel = UILabel()
        lable.text = "您有2份证件需要签"
        lable.font = UIFont.PFSC_R(ofSize: 13)
        lable.textColor = UIColor.mainTextColor70
        lable.lineBreakMode = .byTruncatingTail
        return lable
    }()
    
    
    
    //20分钟前
    lazy var lableTime: UILabel = {
        let lable : UILabel = UILabel()
        lable.text = "20分钟前"
        lable.font = UIFont.PFSC_R(ofSize: 12)
        lable.textColor = UIColor.mainTextColor
        lable.textAlignment = .right
        return lable
    }()
}


extension YHOrderTipsItemView {
    @objc func tapButton(gestureRecognizer:UITapGestureRecognizer) {
        goTabBarBy(tabType: .community) //for test hjl
    }
    
    func setupUI() {
        
        backgroundColor = UIColor.white
        addSubview(lableMyOrder)
        lableMyOrder.snp.makeConstraints { make in
            make.centerY.equalToSuperview()
            make.left.equalTo(12)
            make.height.equalTo(18)
            make.width.lessThanOrEqualTo(60)
        }
        
        
        addSubview(segmentationView)
        segmentationView.snp.makeConstraints { make in
            make.left.equalTo(lableMyOrder.snp.right).offset(8)
            make.height.equalTo(10)
            make.width.equalTo(1)
            make.centerY.equalToSuperview()
        }
        
        
        
        
        
        
        addSubview(rightIconImageV)
        rightIconImageV.snp.makeConstraints { make in
            make.right.equalTo(-12)
            make.centerY.equalToSuperview()
            make.width.height.equalTo(12)
        }
        
        
        addSubview(lableTime)
        lableTime.snp.makeConstraints { make in
            make.right.equalTo(rightIconImageV.snp.left)
            make.centerY.equalTo(rightIconImageV)
            make.height.equalTo(18)
            make.width.lessThanOrEqualTo(60)
        }
        
//        lableTime.backgroundColor = .red//for test hjl
        
        
        
        
        addSubview(lableName)
        lableName.snp.makeConstraints { make in
            make.left.equalTo(segmentationView.snp.right).offset(8)
            make.height.equalTo(18)
            make.centerY.equalToSuperview()
            make.right.equalTo(lableTime.snp.left).offset(-12)
        }
        
        let aa: ASAttributedString = .init("您有", .font(UIFont.PFSC_R(ofSize: 13)),.foreground(UIColor.mainTextColor70))
        let bb: ASAttributedString = .init("3", .font(UIFont.PFSC_B(ofSize: 13)),.foreground(UIColor.brandMainColor))
        let cc: ASAttributedString = .init("份证件需要上传份证件需要上传份证件需要上传", .font(UIFont.PFSC_R(ofSize: 13)),.foreground(UIColor.mainTextColor70))
        lableName.attributed.text = aa+bb+cc
    }
}
